### Function

# GObject TypeValueCopyFunc

since: 2.78

#### Declaration

    void
    (* GTypeValueCopyFunc) (
      const GValue* src_value,
      GValue* dest_value
    )

#### Description [src]

Copies the content of a `GValue` into another.

The `dest_value` is a `GValue` with zero-filled data section and `src_value` is a properly initialized `GValue` of same type, or derived type.

The purpose of this function is to copy the contents of `src_value` into `dest_value` in a way, that even after `src_value` has been freed, the contents of `dest_value` remain valid. String type example:

    dest_value->data[0].v_pointer = g_strdup (src_value->data[0].v_pointer);

Available since: 2.78

#### Parameters

`src_value`

  Type: `GValue`

  The value to copy.

  The data is owned by the caller of the function.

`dest_value`

  Type: `GValue`

  The location of the copy.

  The argument will be set by the function.
  The data is owned by the caller of the function.